<?php
namespace Nexus\Catalog\Block\Adminhtml\Category\Tab\ProductImage;

/**
 * Interceptor class for @see \Nexus\Catalog\Block\Adminhtml\Category\Tab\ProductImage
 */
class Interceptor extends \Nexus\Catalog\Block\Adminhtml\Category\Tab\ProductImage implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Model\ProductFactory $productFactory, \Magento\Framework\Filesystem $filesystem, \Magento\Store\Model\StoreManagerInterface $storeManager)
    {
        $this->___init();
        parent::__construct($productFactory, $filesystem, $storeManager);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
